Bug 51202 - sleep attempts on a dell inspiron 4000 fail
sleep attempts on a dell inspiron 4000 fail
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-08 09:48 EDT by Seth Vidal
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-09 07:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-08-08 09:48:51 EDT
Description of Problem:
When I attempt to sleep by closing the lid on my inspiron 4000 the system
fails to sleep. It will turn off the pcmcia card(s) but it will not shut
down the system - the hard drive continues running. It used to work
correctly using seawolf.

I am using:


How Reproducible:
Every time

Steps to Reproduce:
1. Set the bios on an inspiron 4000 to sleep on lid close
2. close the lid
3. watch your system not recover when you open the lid.

Actual Results:
it crashes and I have to reboot - luckily ext3 makes the recovery time
minimal :)

Expected Results:

it should recover and be happy.

Additional Information:
Comment 1 Bernhard Rosenkraenzer 2001-08-08 09:52:24 EDT
Another candidate for the apm BIOS blacklist...

Comment 2 Seth Vidal 2001-08-08 09:59:17 EDT
is there a reason why it would stop working in this kernel version but would
work with 2.4.3 from seawolf?

Comment 3 Arjan van de Ven 2001-08-08 10:05:24 EDT
not really.... this puzzles me so far.
Comment 4 Seth Vidal 2001-08-08 10:13:21 EDT
I'm going to recheck all my bios settings. I haven't changed anything since my
reinstall to roswell but its worth a once over to make sure I'm not losing my mind.

Comment 5 Arjan van de Ven 2001-08-08 10:15:36 EDT
Could you try booting with "apm=allow_ints" as kernel/grub/lilo option ?
That changes suspend behavior quite a bit
Comment 6 Glen Foster 2001-08-08 15:12:51 EDT
We (Red Hat) should try to fix this before next release.
Comment 7 Seth Vidal 2001-08-09 00:06:36 EDT
I added apm=allow_ints to my grub.conf for loading the kernel and it works now.


everything now works as expected.

is there a good place I should have gone to have figured that out for myself?
Comment 8 Arjan van de Ven 2001-08-09 04:30:44 EDT
Well not quite really, it's one of those things that are deep and dirty secrets

However, I do have a favour to ask. We have a list of machines in the kernel
that enable this parameter by default, and it seems your machine is not yet in
that list. If you could download


and (as root) do

gcc dmidecode.c -o dmidecode
./dmidecode | mail -s "needs apm=allow_ints" hardwarebugs-list@redhat.com

I will get an email with the information I need to make this "Just Work".
Note: this will send an email with system info, so I would recommend running
"dmidecode" without the | mail part first, and check the output and make sure
you're comfortable with sending the output. I only really need the first 25
lines or so.
Comment 9 Seth Vidal 2001-08-09 07:34:28 EDT
Done. You should have the mail now.

If you need anything else or if you need for me to test a kernel thats been
modified to support this system just let me know.

Comment 10 Arjan van de Ven 2001-08-09 08:13:50 EDT
Thank you for the information. I've added the Dell Inspiron 4000 machine
identifiers to the list of machines that require "apm=allow_ints" and a kernel
with those identifiers in it should appear in rawhide in a few days. It'll have
a buildnumber of 2.4.7-0.12 or higher.

Note You need to log in before you can comment on or make changes to this bug.